Skip to main content
`Ctrl`+`K`

# Example2 Class Reference

2026-01-04

2 min read time

ROCm Docs Core Demo Doxygen Docs: example::Example2 Class Reference
List of all members
example::Example2 Class Reference

Example class 2 to showcase class hierarchies. More...

`#include <example.hpp>`

Inheritance diagram for example::Example2:
[legend]
Collaboration diagram for example::Example2:
[legend]

## Additional Inherited Members

Public Member Functions inherited from example::Example
void | method ()
| This is a method taking no arguments.
int | method2 (int param)
| Example method taking parameters.
Static Protected Attributes inherited from example::Example
static int | static_member
| This is a protected static member.

## Detailed Description

Example class 2 to showcase class hierarchies.

The documentation for this class was generated from the following file:

- example.hpp